Issue - Fetch Investigation Result
Fetch investigation result
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Monitor/accounts/{azureMonitorWorkspaceName}/issues/{issueName}/fetchInvestigationResult?api-version=2025-10-03
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
azure
|
path | True |
string pattern: ^(?!-)[a-zA-Z0-9-]+[^-]$ |
The name of the Azure Monitor Workspace. The name is case insensitive |
|
issue
|
path | True |
string pattern: ^(?!-)[a-zA-Z0-9-]+[^-]$ |
The name of the IssueResource |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| investigationId | True |
string (uuid) |
The unique identifier of the investigation |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Issue_FetchInvestigationResult_MaximumSet
Sample request
POST https://management.azure.com/subscriptions/aceaa046-91f0-492a-96dc-45e10a9183dc/resourceGroups/rg1/providers/Microsoft.Monitor/accounts/myWorkspace/issues/3f29e1b2b05f8371595dc761fed8e8b3/fetchInvestigationResult?api-version=2025-10-03
{
"investigationId": "b7341c85-b2c7-46ea-9a7f-784823b71fbc"
}
Sample response
{
"id": "76399e8c-f7b2-421e-a97b-40182cfa2743",
"origin": {
"addedBy": "171a811c-2a3a-4e6c-b742-f78f5f6ca51c",
"addedByType": "Manual"
},
"createdAt": "2024-12-13T03:11:07",
"lastModifiedAt": "2024-12-13T03:51:45",
"result": ""
}
Definitions
| Name | Description |
|---|---|
|
Added |
The type of entity that added data to the issue |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Fetch |
Parameters provided to get the investigation result |
|
Investigation |
Details about the investigation result |
| Origin |
Details about the origin of the entity - the source that added it to the issue |
AddedByType
The type of entity that added data to the issue
| Value | Description |
|---|---|
| Manual |
The data was added manually by a user |
| Automatic |
The data was added automatically |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
FetchInvestigationResultParameters
Parameters provided to get the investigation result
| Name | Type | Description |
|---|---|---|
| investigationId |
string (uuid) |
The unique identifier of the investigation |
InvestigationResult
Details about the investigation result
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The creation time of the investigation (in UTC) |
| id |
string |
The identifier of the investigation |
| lastModifiedAt |
string (date-time) |
The last update time of the investigation (in UTC) |
| origin |
The origin of the investigation |
|
| result |
string |
The result of this investigation |
Origin
Details about the origin of the entity - the source that added it to the issue
| Name | Type | Description |
|---|---|---|
| addedBy |
string |
The ID of the origin - for example, in case of 'Manual', the user ID/app ID, and in case of 'Automatic', the name of the automatic system |
| addedByType |
The source of the origin - Manual or Automatic |